## gnuift 0.1.14+ds

=== debian/control ===
Source: gnuift
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.gnu.org/software/gift/
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10~),
    dh-buildinfo,
    docbook-to-man,
    flex,
    libexpat1-dev,
    libhtml-parser-perl,
    libmagickcore-dev,
    libmysql++-dev,
    libparse-yapp-perl,
    libperl-dev,
    libtext-iconv-perl,
    libtool,
    libwww-perl,
    libxml-dom-perl,
    libxml-handler-trees-perl,
    libxml-libxml-perl,
    libxml-parser-perl,
    libxml-sax-expat-perl,
    libxml-sax-perl,
    libxml-writer-perl,
    libxml-xql-perl,
    m4,
    perl,
    pkg-config,
Build-Depends-Indep:
    doxygen-latex,
    ghostscript,
    ldp-docbook-dsssl,
    linuxdoc-tools,
    linuxdoc-tools-info,
    linuxdoc-tools-latex,
    linuxdoc-tools-text,
Priority: optional
Section: graphics

Package: gnuift
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    gnuift-perl (= ${source:Version}),
Suggests:
    gnuift-doc,
    kmrml,
Description: GNU Image Finding Tool - index and search images by content
 The GIFT (the GNU Image-Finding Tool) is a Content Based Image
 Retrieval System (CBIRS). It enables you to do Query By Example on
 images, giving you the opportunity to improve query results by
 relevance feedback. For processing your queries the program relies
 entirely on the content of the images, freeing you from the need to
 annotate all images before querying the collection.
 .
 The GIFT comes with a tool which lets you index whole directory trees
 containing images in one go. You then can use the GIFT server and its
 client, to browse your own image collections.
 .
 The GIFT is an open framework. The developers explicitly have taken
 into account the possibility of adding new ways of querying to the
 framework. The communication protocol for client-server communication,
 MRML, is XML based and fully documented (http://www.mrml.net). This
 aims at promoting code reuse among researchers and application
 developers.
 .
 The current version of the GIFT can be seen in action at
 http://viper.unige.ch/demo/
 .
 The GIFT (ex Viper) is the result of a research effort at the Vision
 Group at the CUI (computer science center) of the University of Geneva
 (see http://vision.unige.ch/). This cutting-edge research has been the
 subject of several publications and conference talks. Details can be
 found at http://viper.unige.ch/.
 .
 To avoid a name clash with the "gift" package (a fasttrack filesharing
 client), these packages have been named "gnuift" (also to stress that
 gnuift is a GNU project).

Package: gnuift-doc
Architecture: all
Depends: ${misc:Depends},
Description: Documentation for gnuift
 This package includes gift-guide, configuring-and-hacking-the-gift and
 the doxygen reference tree. The application is contained in the gnuift
 package.
 .
 The GIFT (the GNU Image-Finding Tool) is a Content Based Image
 Retrieval System (CBIRS). It enables you to do Query By Example on
 images, giving you the opportunity to improve query results by
 relevance feedback. For processing your queries the program relies
 entirely on the content of the images, freeing you from the need to
 annotate all images before querying the collection.
 .
 The GIFT comes with a tool which lets you index whole directory trees
 containing images in one go. You then can use the GIFT server and its
 client, to browse your own image collections.
 .
 The GIFT is an open framework. The developers explicitly have taken
 into account the possibility of adding new ways of querying to the
 framework. The communication protocol for client-server communication,
 MRML, is XML based and fully documented (http://www.mrml.net). This
 aims at promoting code reuse among researchers and application
 developers.
 .
 To avoid a name clash with the "gift" package (a fasttrack filesharing
 client), these packages have been named "gnuift" (also to stress that
 gnuift is a GNU project).
Section: doc

Package: libgnuift0c2a
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests:
    gnuift,
    gnuift-doc,
    libgnuift0-dev (= ${binary:Version}),
Conflicts:
    libgnuift0,
    libgnuift0c2,
Replaces:
    libgnuift0,
    libgnuift0c2,
Section: libs
Description: GNU Image Finding Tool - libraries
 The GIFT (the GNU Image-Finding Tool) is a Content Based Image
 Retrieval System (CBIRS). It enables you to do Query By Example on
 images, giving you the opportunity to improve query results by
 relevance feedback. For processing your queries the program relies
 entirely on the content of the images, freeing you from the need
 to annotate all images before querying the collection.
 .
 The GIFT is an open framework. The communication protocol for
 client-server communication, MRML, is XML based and fully documented
 (http://www.mrml.net).
 .
 To avoid a name clash with the "gift" package (a fasttrack filesharing
 client), these packages have been named "gnuift" (also to stress that
 gnuift is a GNU project).

Package: libgnuift0-dev
Architecture: any
Depends: ${misc:Depends},
    libexpat1-dev,
    libgnuift0c2a (= ${binary:Version}),
    libmagickcore-dev,
Conflicts:
    libgnuift-dev,
Provides:
    libgnuift-dev,
Section: libdevel
Description: libgnuift development files
 The GIFT (the GNU Image-Finding Tool) is a Content Based Image
 Retrieval System (CBIRS). It enables you to do Query By Example on
 images, giving you the opportunity to improve query results by
 relevance feedback. For processing your queries the program relies
 entirely on the content of the images, freeing you from the need
 to annotate all images before querying the collection.
 .
 The GIFT is an open framework. The communication protocol for
 client-server communication, MRML, is XML based and fully documented
 (http://www.mrml.net).
 .
 To avoid a name clash with the "gift" package (a fasttrack filesharing
 client), these packages have been named "gnuift" (also to stress that
 gnuift is a GNU project).

Package: libmrml1c2a
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Suggests:
    gnuift,
    libmrml1-dev (= ${binary:Version}),
Conflicts:
    libmrml1,
    libmrml1c2,
Replaces:
    libmrml1,
    libmrml1c2,
Section: libs
Homepage: http://www.mrml.net/
Description: Multimedia Retrieval Markup Language
 MRML's aims are to unify access to multimedia retrieval and management
 software component in order to extend their capabilities. The success
 of such a context has already been demonstrated via the development of
 the GNU Image Finding Tool (GIFT).
 .
 The GIFT (the GNU Image-Finding Tool) is a Content Based Image
 Retrieval System (CBIRS). It enables you to do Query By Example on
 images, giving you the opportunity to improve query results by
 relevance feedback. For processing your queries the program relies
 entirely on the content of the images, freeing you from the need
 to annotate all images before querying the collection.
 .
 The GIFT is an open framework. The communication protocol for
 client-server communication, MRML, is XML based and fully documented.

Package: libmrml1-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
    libexpat1-dev,
    libmrml1c2a (= ${binary:Version}),
Conflicts:
    libmrml-dev,
Provides:
    libmrml-dev,
Section: libdevel
Homepage: http://www.mrml.net/
Description: libmrml development files
 MRML's aims are to unify access to multimedia retrieval and management
 software component in order to extend their capabilities. The success
 of such a context has already been demonstrated via the development of
 the GNU Image Finding Tool (GIFT).
 .
 The GIFT (the GNU Image-Finding Tool) is a Content Based Image
 Retrieval System (CBIRS). It enables you to do Query By Example on
 images, giving you the opportunity to improve query results by
 relevance feedback. For processing your queries the program relies
 entirely on the content of the images, freeing you from the need
 to annotate all images before querying the collection.
 .
 The GIFT is an open framework. The communication protocol for
 client-server communication, MRML, is XML based and fully documented.

Package: gnuift-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
    gnuift (>= ${source:Version}),
    gnuift (<< ${source:Version}.1~),
    imagemagick,
    libhtml-parser-perl,
    libparse-yapp-perl,
    libtext-iconv-perl,
    libwww-perl,
    libxml-dom-perl,
    libxml-handler-trees-perl,
    libxml-libxml-perl,
    libxml-parser-perl,
    libxml-sax-expat-perl,
    libxml-sax-perl,
    libxml-writer-perl,
    libxml-xql-perl,
Description: GNU Image Finding Tool - perl modules
 Architecture independent perl modules of gnuift. The application is
 contained in the gnuift package.
 .
 The GIFT (the GNU Image-Finding Tool) is a Content Based Image
 Retrieval System (CBIRS). It enables you to do Query By Example on
 images, giving you the opportunity to improve query results by
 relevance feedback. For processing your queries the program relies
 entirely on the content of the images, freeing you from the need to
 annotate all images before querying the collection.
 .
 The GIFT comes with a tool which lets you index whole directory trees
 containing images in one go. You then can use the GIFT server and its
 client, to browse your own image collections.
 .
 The GIFT is an open framework. The developers explicitly have taken
 into account the possibility of adding new ways of querying to the
 framework. The communication protocol for client-server communication,
 MRML, is XML based and fully documented (http://www.mrml.net). This
 aims at promoting code reuse among researchers and application
 developers.
 .
 To avoid a name clash with the "gift" package (a fasttrack filesharing
 client), these packages have been named "gnuift" (also to stress that
 gnuift is a GNU project).
