=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	-rm debian/gnuift.1

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared=yes --enable-static=yes \
		--enable-set-web-publishing-directory=/var/www/gnuift \
		--enable-set-web-publishing-location=http://localhost/gnuift \
		--enable-bayesian --enable-multi-threading

override_dh_installman:
	docbook-to-man debian/gnuift.sgml > debian/gnuift.1
	dh_installman
